Package ru.bitel.bgbilling.modules.mps.server.bean.protocol

# Class OptimaPlusTransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager
ru.bitel.bgbilling.modules.mps.server.bean.protocol.OptimaPlusTransactionManager

public final class OptimaPlusTransactionManager extends MPSTransactionManager

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Pattern`
  `TRANSACTION_PATTERN`

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `ACTION_CANCEL, ACTION_CHANGE, ACTION_CHECK, ACTION_PAY, ACTION_PAY_ON_CHECK, ACTION_STATUS, documentBuilder, ERROR_MPS_CONTRACT_NOTFOUND, ERROR_MPS_DATA, ERROR_MPS_DATE, ERROR_MPS_DATE_FIELD, ERROR_MPS_EDIT_NOT_SUPPORTED, ERROR_MPS_HASH, ERROR_MPS_ISOFF, ERROR_MPS_NUMBER_PATTERN, ERROR_MPS_OUT_OF_MONEY, ERROR_MPS_PAY_EXIST, ERROR_MPS_PAY_NOTEXIST, ERROR_MPS_REQUEST, ERROR_MPS_SERVER, ERROR_MPS_SUM_BIG, ERROR_MPS_SUM_SMALL, ERROR_MPS_SUM_TOOSMALLORBIG, ERROR_MPS_TRANSACTION_ID_FIELD, ERROR_MPS_TYPE, KEY_RESPONSE_PARAMETERS, MPS_CYBERPLAT, MPS_FROMGATEWAY, MPS_OSMP, p1, p2, p3, pNumber, REQUEST_ATTRIBUTE_PARAMETERS, REQUEST_ATTRIBUTE_PATH_INFO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OptimaPlusTransactionManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkValid(Conf.MPSSystem system, MPSRequest req, Connection con)`
  Проверка на валидность запроса
  `protected byte[]`
  `getResponse(Connection con, Conf.MPSSystem system, MPSResponse response)`
  Формирование сырого ответа системе из MPSResponse
  `protected List<Transaction>`
  `getTransactionListFromFile(Conf.MPSSystem system, String file)`
  `protected MPSRequest`
  `parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request)`
  Значение полей: id - уникальный номер запроса type - тип запроса, 1 - Запрос на проведение сделки 2 - Запрос на проверку параметров сделки 3 - Запрос на аннулирование сделки 4 - Запрос на коррекцию сделки sum - сумма операции в рублях account - уникальный индефикатор клиента oldAccount - уникальный индефикатор клиента (для запроса коррекции) newAccount - уникальный индефикатор клиента (для запроса коррекции) hash - хэш-сумма параметров запроса date - локальное время клиента testMode - индикатор тестовой сделки sign - RSAMD5 подпись запроса
  `protected void`
  `processError(MPSException ex, MPSResponse response)`
  Обработка ошибки
  `protected byte[]`
  `processRequest(Connection con, int moduleId, String mpsId, Conf conf, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest httpRequest, jakarta.servlet.http.HttpServletResponse response)`
  Обработка запроса от системы

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `actionCheck, addTransaction, addTransaction, addTransaction, cancelPreparedTransaction, cancelTransaction, checkTime, clearCanceledTransaction, createTemporaryTable, executePreparedTransaction, executePreparedTransaction, executePreparedTransaction, findContract, getComment, getContractTitle, getDefaultEncoding, getEncoding, getInstance, getResponseAttributes, getTable, getTransactionByTransId, getTransactionByTransId, getTransactionByTransId, getTransactionFromRS, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionListForDay, getTransactionListFromFileByConfig, getTransactionListFromFileByPattern, getUserLogin, getUserLoginFormatted, onPayment, parseBigInteger, prepareTransaction, prepareTransaction, prepareTransaction, preProcess, processRegister, processRegister, processRequest, processResponseEvent, reviseAddTransactions, reviseCancelTransactions, reviseRestoreTransactions, searchTransactionList, setEncoding, setResponseParameters, setUserLogin, systemAccountAdd, systemAccountDelete, xmlSerialize`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRANSACTION_PATTERN

    protected static final Pattern TRANSACTION_PATTERN

- ## Constructor Details

  - ### OptimaPlusTransactionManager

    public OptimaPlusTransactionManager()

- ## Method Details

  - ### parseRequest

    protected MPSRequest parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request) throws MPSException
    Значение полей: id - уникальный номер запроса type - тип запроса, 1 - Запрос на проведение сделки 2 - Запрос на проверку параметров сделки 3 - Запрос на аннулирование сделки 4 - Запрос на коррекцию сделки sum - сумма операции в рублях account - уникальный индефикатор клиента oldAccount - уникальный индефикатор клиента (для запроса коррекции) newAccount - уникальный индефикатор клиента (для запроса коррекции) hash - хэш-сумма параметров запроса date - локальное время клиента testMode - индикатор тестовой сделки sign - RSAMD5 подпись запроса
    Specified by:
      `parseRequest` in class `MPSTransactionManager`
    Throws:
      `MPSException`

  - ### processRequest

    protected byte[] processRequest(Connection con, int moduleId, String mpsId, Conf conf, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest httpRequest, jakarta.servlet.http.HttpServletResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка запроса от системы
    Specified by:
      `processRequest` in class `MPSTransactionManager`

  - ### getResponse

    protected byte[] getResponse(Connection con, Conf.MPSSystem system, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Формирование сырого ответа системе из MPSResponse
    Specified by:
      `getResponse` in class `MPSTransactionManager`

  - ### processError

    protected void processError(MPSException ex, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка ошибки
    Specified by:
      `processError` in class `MPSTransactionManager`

  - ### checkValid

    protected void checkValid(Conf.MPSSystem system, MPSRequest req, Connection con) throws MPSException
    Description copied from class: `MPSTransactionManager`
    Проверка на валидность запроса
    Overrides:
      `checkValid` in class `MPSTransactionManager`
    Throws:
      `MPSException`

  - ### getTransactionListFromFile

    protected List<Transaction> getTransactionListFromFile(Conf.MPSSystem system, String file)
    Specified by:
      `getTransactionListFromFile` in class `MPSTransactionManager`